Bug 218622 - calls error() before definining it
calls error() before definining it
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-06 10:30 EST by Nalin Dahyabhai
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 6.0.14-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-14 15:31:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2006-12-06 10:30:39 EST
Description of problem:
If run as an unprivileged user, mkinitrd uses error() to print its error
message, but it calls error() before it's defined.

Version-Release number of selected component (if applicable):
6.0.2-1

How reproducible:
Always

Steps to Reproduce:
1. (as unprivileged user) /sbin/mkinitrd --help
  
Actual results:
/sbin/mkinitrd: line 28: error: command not found

Note You need to log in before you can comment on or make changes to this bug.